Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jet.server.api
Class RptServerException

    java.lang.Object
      JSException
          jet.server.api.RptServerException

Direct Known Subclasses:
  TaskCancellationException

    public class RptServerException

extends JSException

Signals indicating that an exception occurs. Typically,the exception would be thrown out if an excetion occurs in the report server.

Constructor Summary
`RptServerException(int msgKey)` Construct a new `RptServerException` with specified message, the cause is not initialized.
`RptServerException(int msgKey, java.lang.Object[] params, java.lang.Throwable cause)` Constructs a new throwable with the specified detail message and cause.
`RptServerException(int msgKey, java.lang.Throwable cause)` Construct a new `RptServerException` with specified detail message and cause.
`RptServerException(java.lang.String msg)` Construct a new RptServerException with the message.
`RptServerException(java.lang.String msg, java.lang.Throwable cause)` Construct a new RptServerException with the message and the original Throwable object.
`RptServerException(java.lang.String msg, java.lang.Throwable cause, java.util.List engineErrors)`
`RptServerException(java.lang.Throwable cause)` Construct a new `RptServerException` with specified cause and a `null`detail message.``
`RptServerException(java.lang.Throwable cause, java.util.List engineErrors)`

Method Summary
`java.util.List` | `getEngineErrors()` Get the under engine's Errors.
`java.lang.Throwable` | `getOriginalThrowable()` Deprecated. This method has been alternated by getCause() since JDK1.4
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### RptServerException

    public RptServerException(int msgKey,
                              java.lang.Object[] params,
                              java.lang.Throwable cause)

  Constructs a new throwable with the specified detail message and cause.

  Parameters:
    `msgKey` - the message key in strJError, for find the message, and will be loged and showed to user.
    `params` - the parameters used for format the message string, can be null.
    `cause` - the cause (which is saved for later retrieval by the getCause.

### RptServerException

    public RptServerException(int msgKey,
                              java.lang.Throwable cause)

  Construct a new `RptServerException` with specified detail message and cause.

  Parameters:
    `msgKey` - the message key
    `cause` - the cause. A `null` is permitted, and it indicates the cause is nonexistent or unknown.

### RptServerException

    public RptServerException(int msgKey)

  Construct a new `RptServerException` with specified message, the cause is not initialized.

  Parameters:
    `msgKey` - the message key

### RptServerException

    public RptServerException(java.lang.Throwable cause)

  Construct a new `RptServerException` with specified cause and a `null`detail message.

  Parameters:
    `cause` - the cause.
  ``

### RptServerException

    public RptServerException(java.lang.Throwable cause,
                              java.util.List engineErrors)

### RptServerException

    public RptServerException(java.lang.String msg)

  Construct a new RptServerException with the message.

  Parameters:
    `msg` - the detailed message

### RptServerException

    public RptServerException(java.lang.String msg,
                              java.lang.Throwable cause)

  Construct a new RptServerException with the message and the original Throwable object.

  Parameters:
    `msg` - the detailed message
    `cause` - the original Throwable object.

### RptServerException

    public RptServerException(java.lang.String msg,
                              java.lang.Throwable cause,
                              java.util.List engineErrors)

Method Detail

### toString

    public java.lang.String toString()

### getOriginalThrowable

    public java.lang.Throwable getOriginalThrowable()

  Deprecated. This method has been alternated by getCause() since JDK1.4

  Get the original Throwable object.

  Returns:
    the original Throwable object.

### getEngineErrors

    public java.util.List getEngineErrors()

  Get the under engine's Errors.

  Returns:
    The engine's Errors List(elements are Throwable)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD